      DATA B,C,J,M/1.,0.,1,1000/
    1 A=C
      N=M
    2 A=A+B
      N=N-1
      IF(N.GT.0) GO TO 2
      TYPE 1000,A,B,M
 1000 FORMAT(//' FINAL VALUE = ',1PE15.5,'   INCREMENT = 'E15.5,
     1'  STEPS = ' I5,//)
      IF(J.NE.0) GO TO 1
      STOP 'FINISHED PROGRAM'
      END
